MFC various moves of tools/regressions/ tests to the new infrastructure.

- r263220 Migrate tools/regression/sbin/ to the new tests layout.
- r263222 Add Makefile missed in r263220.
- r263226 Migrate tools/regression/{usr.bin/lastcomm,usr.sbin}/ to the new tests layout.
- r263227 Migrate most of tools/regression/usr.bin/ to the new tests layout.
- r263345 Expand tabs that sneaked in into spaces.
- r263346 Migrate tools/regression/usr.bin/make/ to the new tests layout.
- r263348 Add Makefiles missed in r263346.
- r263351 Migrate tools/regression/usr.bin/pkill/ to the new tests layout.
- r263388 Mark multi_test as requiring /usr/share/dict/words.
- r263814 Fix path to the run.pl script to let these tests run.
- r264742 Prevent building tests when bootstrapping make.

This is 'make tinderbox' clean.
This commit is contained in:
jmmv 2014-04-27 01:15:10 +00:00
parent 5b12da65bf
commit 1e4589b921
1024 changed files with 2687 additions and 782 deletions

View File

@ -345,7 +345,8 @@ MMAKEENV= MAKEOBJDIRPREFIX=${MYMAKE:H} \
MMAKE= ${MMAKEENV} ${MAKE} \ MMAKE= ${MMAKEENV} ${MAKE} \
-D_UPGRADING \ -D_UPGRADING \
-DNOMAN -DNO_MAN -DNOSHARED -DNO_SHARED \ -DNOMAN -DNO_MAN -DNOSHARED -DNO_SHARED \
-DNO_CPU_CFLAGS -DNO_WERROR DESTDIR= PROGNAME=${MYMAKE:T} -DNO_CPU_CFLAGS -DNO_WERROR \
DESTDIR= MK_TESTS=no PROGNAME=${MYMAKE:T}
make bmake: .PHONY make bmake: .PHONY
@echo @echo

View File

@ -1,6 +1,8 @@
# $NetBSD: Makefile,v 1.1 2002/03/01 11:21:58 ad Exp $ # $NetBSD: Makefile,v 1.1 2002/03/01 11:21:58 ad Exp $
# $FreeBSD$ # $FreeBSD$
.include <bsd.own.mk>
PROG= pkill PROG= pkill
DPADD= ${LIBKVM} DPADD= ${LIBKVM}
@ -17,4 +19,8 @@ MLINKS= pkill.1 pgrep.1
SYMLINKS= ${BINDIR}/pkill /usr/bin/pkill SYMLINKS= ${BINDIR}/pkill /usr/bin/pkill
SYMLINKS+= ${BINDIR}/pgrep /usr/bin/pgrep SYMLINKS+= ${BINDIR}/pgrep /usr/bin/pgrep
.if ${MK_TESTS} != "no"
SUBDIR+= tests
.endif
.include <bsd.prog.mk> .include <bsd.prog.mk>

38
bin/pkill/tests/Makefile Normal file
View File

@ -0,0 +1,38 @@
# $FreeBSD$
.include <bsd.own.mk>
TESTSDIR= ${TESTSBASE}/bin/pkill
TAP_TESTS_SH= pgrep-F_test
TAP_TESTS_SH+= pgrep-LF_test
TAP_TESTS_SH+= pgrep-P_test
TAP_TESTS_SH+= pgrep-U_test
TAP_TESTS_SH+= pgrep-_g_test
TAP_TESTS_SH+= pgrep-_s_test
TAP_TESTS_SH+= pgrep-g_test
TAP_TESTS_SH+= pgrep-i_test
TAP_TESTS_SH+= pgrep-j_test
TEST_METADATA.pgrep-j_test+= required_user="root"
TAP_TESTS_SH+= pgrep-l_test
TAP_TESTS_SH+= pgrep-n_test
TAP_TESTS_SH+= pgrep-o_test
TAP_TESTS_SH+= pgrep-q_test
TAP_TESTS_SH+= pgrep-s_test
TAP_TESTS_SH+= pgrep-t_test
TAP_TESTS_SH+= pgrep-v_test
TAP_TESTS_SH+= pgrep-x_test
TAP_TESTS_SH+= pkill-F_test
TAP_TESTS_SH+= pkill-LF_test
TAP_TESTS_SH+= pkill-P_test
TAP_TESTS_SH+= pkill-U_test
TAP_TESTS_SH+= pkill-_g_test
TAP_TESTS_SH+= pkill-g_test
TAP_TESTS_SH+= pkill-i_test
TAP_TESTS_SH+= pkill-j_test
TEST_METADATA.pkill-j_test+= required_user="root"
TAP_TESTS_SH+= pkill-s_test
TAP_TESTS_SH+= pkill-t_test
TAP_TESTS_SH+= pkill-x_test
.include <bsd.test.mk>

View File

@ -6,8 +6,8 @@ base=`basename $0`
echo "1..1" echo "1..1"
name="pgrep -F <pidfile>" name="pgrep -F <pidfile>"
pidfile=`mktemp /tmp/$base.XXXXXX` || exit 1 pidfile=$(pwd)/pidfile.txt
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3

View File

@ -6,8 +6,8 @@ base=`basename $0`
echo "1..2" echo "1..2"
name="pgrep -LF <pidfile>" name="pgrep -LF <pidfile>"
pidfile=`mktemp /tmp/$base.XXXXXX` || exit 1 pidfile=$(pwd)/pidfile.txt
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
daemon -p $pidfile $sleep 5 daemon -p $pidfile $sleep 5
sleep 0.3 sleep 0.3

View File

@ -7,7 +7,7 @@ echo "1..1"
name="pgrep -P <ppid>" name="pgrep -P <ppid>"
ppid=$$ ppid=$$
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3

View File

@ -7,7 +7,7 @@ echo "1..2"
name="pgrep -U <uid>" name="pgrep -U <uid>"
ruid=`id -ur` ruid=`id -ur`
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3
@ -23,7 +23,7 @@ rm -f $sleep
name="pgrep -U <user>" name="pgrep -U <user>"
ruid=`id -urn` ruid=`id -urn`
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3

View File

@ -7,7 +7,7 @@ echo "1..2"
name="pgrep -G <gid>" name="pgrep -G <gid>"
rgid=`id -gr` rgid=`id -gr`
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3
@ -23,7 +23,7 @@ rm -f $sleep
name="pgrep -G <group>" name="pgrep -G <group>"
rgid=`id -grn` rgid=`id -grn`
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3

View File

@ -7,7 +7,7 @@ echo "1..2"
name="pgrep -g <pgrp>" name="pgrep -g <pgrp>"
pgrp=`ps -o tpgid -p $$ | tail -1` pgrp=`ps -o tpgid -p $$ | tail -1`
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3
@ -22,7 +22,7 @@ kill $chpid
rm -f $sleep rm -f $sleep
name="pgrep -g 0" name="pgrep -g 0"
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3

View File

@ -6,7 +6,7 @@ base=`basename $0`
echo "1..1" echo "1..1"
name="pgrep -i" name="pgrep -i"
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
usleep="${sleep}XXX" usleep="${sleep}XXX"
touch $usleep touch $usleep
lsleep="${sleep}xxx" lsleep="${sleep}xxx"

View File

@ -7,7 +7,7 @@ echo "1..3"
name="pgrep -j <jid>" name="pgrep -j <jid>"
if [ `id -u` -eq 0 ]; then if [ `id -u` -eq 0 ]; then
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
jail / $base-1 127.0.0.1 $sleep 5 & jail / $base-1 127.0.0.1 $sleep 5 &
chpid=$! chpid=$!
@ -31,7 +31,7 @@ fi
name="pgrep -j any" name="pgrep -j any"
if [ `id -u` -eq 0 ]; then if [ `id -u` -eq 0 ]; then
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
jail / $base-1 127.0.0.1 $sleep 5 & jail / $base-1 127.0.0.1 $sleep 5 &
chpid=$! chpid=$!
@ -55,7 +55,7 @@ fi
name="pgrep -j none" name="pgrep -j none"
if [ `id -u` -eq 0 ]; then if [ `id -u` -eq 0 ]; then
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
chpid=$! chpid=$!

View File

@ -6,7 +6,7 @@ base=`basename $0`
echo "1..1" echo "1..1"
name="pgrep -l" name="pgrep -l"
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3

View File

@ -6,7 +6,7 @@ base=`basename $0`
echo "1..1" echo "1..1"
name="pgrep -n" name="pgrep -n"
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
oldpid=$! oldpid=$!

View File

@ -6,7 +6,7 @@ base=`basename $0`
echo "1..1" echo "1..1"
name="pgrep -o" name="pgrep -o"
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
oldpid=$! oldpid=$!

View File

@ -6,8 +6,8 @@ base=`basename $0`
echo "1..4" echo "1..4"
name="pgrep -q" name="pgrep -q"
sleep0=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep0=$(pwd)/sleep0.txt
sleep1=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep1=$(pwd)/sleep1.txt
ln -sf /bin/sleep $sleep0 ln -sf /bin/sleep $sleep0
$sleep0 5 & $sleep0 5 &
sleep 0.3 sleep 0.3

View File

@ -7,7 +7,7 @@ echo "1..2"
name="pgrep -s <sid>" name="pgrep -s <sid>"
sid=`ps -o tsid -p $$ | tail -1` sid=`ps -o tsid -p $$ | tail -1`
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3
@ -22,7 +22,7 @@ kill $chpid
rm -f $sleep rm -f $sleep
name="pgrep -s 0" name="pgrep -s 0"
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3

View File

@ -6,8 +6,8 @@ base=`basename $0`
echo "1..2" echo "1..2"
name="pgrep -t <tty>" name="pgrep -t <tty>"
tty=`ps -o tty -p $$ | tail -1` tty=`ps -x -o tty -p $$ | tail -1`
if [ "$tty" = "??" ]; then if [ "$tty" = "??" -o "$tty" = "-" ]; then
tty="-" tty="-"
ttyshort="-" ttyshort="-"
else else
@ -16,7 +16,7 @@ else
*) ttyshort=`echo $tty | cut -c 4-` ;; *) ttyshort=`echo $tty | cut -c 4-` ;;
esac esac
fi fi
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3

View File

@ -6,7 +6,7 @@ base=`basename $0`
echo "1..2" echo "1..2"
name="pgrep -v" name="pgrep -v"
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3

View File

@ -6,7 +6,7 @@ base=`basename $0`
echo "1..4" echo "1..4"
name="pgrep -x" name="pgrep -x"
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3

View File

@ -6,8 +6,8 @@ base=`basename $0`
echo "1..1" echo "1..1"
name="pkill -F <pidfile>" name="pkill -F <pidfile>"
pidfile=`mktemp /tmp/$base.XXXXXX` || exit 1 pidfile=$(pwd)/pidfile.txt
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3

View File

@ -6,8 +6,8 @@ base=`basename $0`
echo "1..2" echo "1..2"
name="pkill -LF <pidfile>" name="pkill -LF <pidfile>"
pidfile=`mktemp /tmp/$base.XXXXXX` || exit 1 pidfile=$(pwd)/pidfile.txt
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
daemon -p $pidfile $sleep 5 daemon -p $pidfile $sleep 5
sleep 0.3 sleep 0.3

View File

@ -7,7 +7,7 @@ echo "1..1"
name="pkill -P <ppid>" name="pkill -P <ppid>"
ppid=$$ ppid=$$
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3

View File

@ -7,7 +7,7 @@ echo "1..2"
name="pkill -U <uid>" name="pkill -U <uid>"
ruid=`id -ur` ruid=`id -ur`
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3
@ -25,7 +25,7 @@ rm -f $sleep
name="pkill -U <user>" name="pkill -U <user>"
ruid=`id -urn` ruid=`id -urn`
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3

View File

@ -7,7 +7,7 @@ echo "1..2"
name="pkill -G <gid>" name="pkill -G <gid>"
rgid=`id -gr` rgid=`id -gr`
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3
@ -25,7 +25,7 @@ rm -f $sleep
name="pkill -G <group>" name="pkill -G <group>"
rgid=`id -grn` rgid=`id -grn`
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3

View File

@ -7,7 +7,7 @@ echo "1..2"
name="pkill -g <pgrp>" name="pkill -g <pgrp>"
pgrp=`ps -o tpgid -p $$ | tail -1` pgrp=`ps -o tpgid -p $$ | tail -1`
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3
@ -24,7 +24,7 @@ esac
rm -f $sleep rm -f $sleep
name="pkill -g 0" name="pkill -g 0"
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3

View File

@ -6,7 +6,7 @@ base=`basename $0`
echo "1..1" echo "1..1"
name="pkill -i" name="pkill -i"
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
usleep="${sleep}XXX" usleep="${sleep}XXX"
touch $usleep touch $usleep
lsleep="${sleep}xxx" lsleep="${sleep}xxx"

View File

@ -7,7 +7,7 @@ echo "1..3"
name="pkill -j <jid>" name="pkill -j <jid>"
if [ `id -u` -eq 0 ]; then if [ `id -u` -eq 0 ]; then
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
jail / $base-1 127.0.0.1 $sleep 5 & jail / $base-1 127.0.0.1 $sleep 5 &
chpid=$! chpid=$!
@ -30,7 +30,7 @@ fi
name="pkill -j any" name="pkill -j any"
if [ `id -u` -eq 0 ]; then if [ `id -u` -eq 0 ]; then
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
jail / $base-1 127.0.0.1 $sleep 5 & jail / $base-1 127.0.0.1 $sleep 5 &
chpid=$! chpid=$!
@ -52,7 +52,7 @@ fi
name="pkill -j none" name="pkill -j none"
if [ `id -u` -eq 0 ]; then if [ `id -u` -eq 0 ]; then
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
chpid=$! chpid=$!

View File

@ -7,7 +7,7 @@ echo "1..2"
name="pkill -s <sid>" name="pkill -s <sid>"
sid=`ps -o tsid -p $$ | tail -1` sid=`ps -o tsid -p $$ | tail -1`
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3
@ -24,7 +24,7 @@ esac
rm -f $sleep rm -f $sleep
name="pkill -s 0" name="pkill -s 0"
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3

View File

@ -6,8 +6,8 @@ base=`basename $0`
echo "1..2" echo "1..2"
name="pkill -t <tty>" name="pkill -t <tty>"
tty=`ps -o tty -p $$ | tail -1` tty=`ps -x -o tty -p $$ | tail -1`
if [ "$tty" = "??" ]; then if [ "$tty" = "??" -o "$tty" = "-" ]; then
tty="-" tty="-"
ttyshort="-" ttyshort="-"
else else
@ -16,7 +16,7 @@ else
*) ttyshort=`echo $tty | cut -c 4-` ;; *) ttyshort=`echo $tty | cut -c 4-` ;;
esac esac
fi fi
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3

View File

@ -6,7 +6,7 @@ base=`basename $0`
echo "1..4" echo "1..4"
name="pkill -x" name="pkill -x"
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3
@ -25,7 +25,7 @@ fi
rm -f $sleep rm -f $sleep
name="pkill -x -f" name="pkill -x -f"
sleep=`mktemp /tmp/$base.XXXXXX` || exit 1 sleep=$(pwd)/sleep.txt
ln -sf /bin/sleep $sleep ln -sf /bin/sleep $sleep
$sleep 5 & $sleep 5 &
sleep 0.3 sleep 0.3

View File

@ -29,6 +29,8 @@
.. ..
pax pax
.. ..
pkill
..
sh sh
builtins builtins
.. ..
@ -70,6 +72,14 @@
.. ..
.. ..
.. ..
sbin
dhclient
..
growfs
..
mdconfig
..
..
share share
examples examples
tests tests
@ -85,10 +95,150 @@
.. ..
.. ..
usr.bin usr.bin
apply
..
atf atf
atf-sh atf-sh
.. ..
.. ..
calendar
..
comm
..
file2c
..
join
..
jot
..
lastcomm
..
m4
..
make
archives
fmt_44bsd
..
fmt_44bsd_mod
..
fmt_oldbsd
..
..
basic
t0
..
t1
..
t2
..
t3
..
..
execution
ellipsis
..
empty
..
joberr
..
plus
..
..
shell
builtin
..
meta
..
path
..
path_select
..
replace
..
select
..
..
suffixes
basic
..
src_wild1
..
src_wild2
..
..
syntax
directive-t0
..
enl
..
funny-targets
..
semi
..
..
sysmk
t0
2
1
..
..
mk
..
..
t1
2
1
..
..
mk
..
..
t2
2
1
..
..
mk
..
..
..
variables
modifier_M
..
modifier_t
..
opt_V
..
t0
..
..
..
ncal
..
printf
..
sed
regress.multitest.out
..
..
tr
..
uudecode
..
uuencode
..
xargs
..
yacc
..
..
usr.sbin
etcupdate
..
newsyslog
..
sa
..
.. ..
.. ..
.. ..

View File

@ -114,6 +114,10 @@ SUBDIR+= quotacheck
SUBDIR+= routed SUBDIR+= routed
.endif .endif
.if ${MK_TESTS} != "no"
SUBDIR+= tests
.endif
.include <bsd.arch.inc.mk> .include <bsd.arch.inc.mk>
SUBDIR:= ${SUBDIR:O} SUBDIR:= ${SUBDIR:O}

View File

@ -31,6 +31,8 @@
# OF THE POSSIBILITY OF SUCH DAMAGE. # OF THE POSSIBILITY OF SUCH DAMAGE.
# #
.include <bsd.own.mk>
SRCS= dhclient.c clparse.c alloc.c dispatch.c hash.c bpf.c options.c \ SRCS= dhclient.c clparse.c alloc.c dispatch.c hash.c bpf.c options.c \
tree.c conflex.c errwarn.c inet.c packet.c convert.c tables.c \ tree.c conflex.c errwarn.c inet.c packet.c convert.c tables.c \
parse.c privsep.c parse.c privsep.c
@ -44,4 +46,8 @@ LDADD= -lutil
WARNS?= 2 WARNS?= 2
.if ${MK_TESTS} != "no"
SUBDIR+= tests
.endif
.include <bsd.prog.mk> .include <bsd.prog.mk>

View File

@ -0,0 +1,15 @@
# $FreeBSD$
TESTSDIR= ${TESTSBASE}/sbin/dhclient
.PATH: ${.CURDIR}/..
PLAIN_TESTS_C= option-domain-search_test
SRCS.option-domain-search_test= alloc.c convert.c hash.c options.c \
tables.c fake.c option-domain-search.c
CFLAGS.option-domain-search_test+= -I${.CURDIR}/..
LDADD.option-domain-search_test= -lutil
WARNS?= 2
.include <bsd.test.mk>

View File

@ -6,6 +6,8 @@
#GFSDBG= #GFSDBG=
.include <bsd.own.mk>
.PATH: ${.CURDIR}/../mount .PATH: ${.CURDIR}/../mount
PROG= growfs PROG= growfs
@ -20,4 +22,8 @@ SRCS+= debug.c
DPADD= ${LIBUTIL} DPADD= ${LIBUTIL}
LDADD= -lutil LDADD= -lutil
.if ${MK_TESTS} != "no"
SUBDIR+= tests
.endif
.include <bsd.prog.mk> .include <bsd.prog.mk>

View File

@ -0,0 +1,7 @@
# $FreeBSD$
TESTSDIR= ${TESTSBASE}/sbin/growfs
TAP_TESTS_PERL= legacy_test
.include <bsd.test.mk>

View File

@ -1,5 +1,3 @@
#! /usr/bin/perl
#
# $FreeBSD$ # $FreeBSD$
use strict; use strict;

View File

@ -1,9 +1,15 @@
# $FreeBSD$ # $FreeBSD$
.include <bsd.own.mk>
PROG= mdconfig PROG= mdconfig
MAN= mdconfig.8 MAN= mdconfig.8
DPADD= ${LIBUTIL} ${LIBGEOM} ${LIBBSDXML} ${LIBSBUF} DPADD= ${LIBUTIL} ${LIBGEOM} ${LIBBSDXML} ${LIBSBUF}
LDADD= -lutil -lgeom -lbsdxml -lsbuf LDADD= -lutil -lgeom -lbsdxml -lsbuf
.if ${MK_TESTS} != "no"
SUBDIR+= tests
.endif
.include <bsd.prog.mk> .include <bsd.prog.mk>

View File

@ -0,0 +1,13 @@
# $FreeBSD$
TESTSDIR= ${TESTSBASE}/sbin/mdconfig
TAP_TESTS_SH= legacy_test
TAP_TESTS_SH_SED_legacy_test= 's,__PERL__,${TAP_PERL_INTERPRETER},g'
TEST_METADATA.legacy_test+= required_programs="${TAP_PERL_INTERPRETER}"
FILESDIR= ${TESTSDIR}
FILES= mdconfig.test
FILES+= run.pl
.include <bsd.test.mk>

View File

@ -38,7 +38,7 @@ fi
TESTDIR=$(dirname $(realpath $0)) TESTDIR=$(dirname $(realpath $0))
perl $TESTDIR/run $TESTDIR/mdconfig.test > /dev/null __PERL__ -w -U $TESTDIR/run.pl $TESTDIR/mdconfig.test > /dev/null
if [ $? -eq 0 ]; then if [ $? -eq 0 ]; then
echo "ok 1" echo "ok 1"

View File

10
sbin/tests/Makefile Normal file
View File

@ -0,0 +1,10 @@
# $FreeBSD$
.include <bsd.own.mk>
TESTSDIR= ${TESTSBASE}/sbin
.PATH: ${.CURDIR:H:H}/tests
KYUAFILE= yes
.include <bsd.test.mk>

View File

@ -4092,6 +4092,376 @@ OLD_FILES+=usr/tests/lib/atf/libatf-c/process_test
OLD_FILES+=usr/tests/lib/atf/libatf-c/sanity_test OLD_FILES+=usr/tests/lib/atf/libatf-c/sanity_test
OLD_FILES+=usr/tests/lib/atf/libatf-c/text_test OLD_FILES+=usr/tests/lib/atf/libatf-c/text_test
OLD_FILES+=usr/tests/lib/atf/libatf-c/user_test OLD_FILES+=usr/tests/lib/atf/libatf-c/user_test
.if ${MK_MAKE} == yes && ${MK_BMAKE} == yes
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.status.2
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.status.3
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.status.4
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.status.5
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.status.6
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.status.7
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.stderr.2
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.stderr.3
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.stderr.4
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.stderr.5
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.stderr.6
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.stderr.7
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.stdout.2
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.stdout.3
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.stdout.4
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.stdout.5
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.stdout.6
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/expected.stdout.7
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd/libtest.a
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.status.2
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.status.3
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.status.4
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.status.5
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.status.6
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.status.7
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.stderr.2
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.stderr.3
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.stderr.4
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.stderr.5
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.stderr.6
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.stderr.7
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.stdout.2
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.stdout.3
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.stdout.4
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.stdout.5
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.stdout.6
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/expected.stdout.7
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod/libtest.a
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.status.2
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.status.3
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.status.4
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.status.5
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.status.6
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.status.7
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.stderr.2
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.stderr.3
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.stderr.4
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.stderr.5
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.stderr.6
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.stderr.7
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.stdout.2
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.stdout.3
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.stdout.4
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.stdout.5
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.stdout.6
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/expected.stdout.7
OLD_FILES+=usr/tests/usr.bin/make/archives/fmt_oldbsd/libtest.a
OLD_FILES+=usr/tests/usr.bin/make/archives/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/basic/t0/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/basic/t0/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/basic/t0/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/basic/t0/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/basic/t0/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/basic/t1/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/basic/t1/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/basic/t1/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/basic/t1/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/basic/t1/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/basic/t1/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/basic/t2/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/basic/t2/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/basic/t2/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/basic/t2/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/basic/t2/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/basic/t2/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/basic/t3/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/basic/t3/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/basic/t3/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/basic/t3/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/basic/t3/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/basic/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/execution/ellipsis/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/execution/ellipsis/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/execution/ellipsis/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/execution/ellipsis/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/execution/ellipsis/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/execution/ellipsis/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/execution/empty/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/execution/empty/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/execution/empty/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/execution/empty/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/execution/empty/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/execution/empty/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/execution/joberr/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/execution/joberr/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/execution/joberr/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/execution/joberr/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/execution/joberr/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/execution/joberr/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/execution/plus/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/execution/plus/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/execution/plus/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/execution/plus/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/execution/plus/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/execution/plus/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/execution/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/shell/builtin/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/shell/builtin/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/shell/builtin/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/shell/builtin/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/shell/builtin/expected.status.2
OLD_FILES+=usr/tests/usr.bin/make/shell/builtin/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/shell/builtin/expected.stderr.2
OLD_FILES+=usr/tests/usr.bin/make/shell/builtin/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/shell/builtin/expected.stdout.2
OLD_FILES+=usr/tests/usr.bin/make/shell/builtin/sh
OLD_FILES+=usr/tests/usr.bin/make/shell/meta/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/shell/meta/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/shell/meta/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/shell/meta/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/shell/meta/expected.status.2
OLD_FILES+=usr/tests/usr.bin/make/shell/meta/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/shell/meta/expected.stderr.2
OLD_FILES+=usr/tests/usr.bin/make/shell/meta/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/shell/meta/expected.stdout.2
OLD_FILES+=usr/tests/usr.bin/make/shell/meta/sh
OLD_FILES+=usr/tests/usr.bin/make/shell/path/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/shell/path/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/shell/path/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/shell/path/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/shell/path/expected.status.2
OLD_FILES+=usr/tests/usr.bin/make/shell/path/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/shell/path/expected.stderr.2
OLD_FILES+=usr/tests/usr.bin/make/shell/path/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/shell/path/expected.stdout.2
OLD_FILES+=usr/tests/usr.bin/make/shell/path/sh
OLD_FILES+=usr/tests/usr.bin/make/shell/path_select/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/shell/path_select/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/shell/path_select/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/shell/path_select/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/shell/path_select/expected.status.2
OLD_FILES+=usr/tests/usr.bin/make/shell/path_select/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/shell/path_select/expected.stderr.2
OLD_FILES+=usr/tests/usr.bin/make/shell/path_select/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/shell/path_select/expected.stdout.2
OLD_FILES+=usr/tests/usr.bin/make/shell/path_select/shell
OLD_FILES+=usr/tests/usr.bin/make/shell/replace/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/shell/replace/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/shell/replace/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/shell/replace/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/shell/replace/expected.status.2
OLD_FILES+=usr/tests/usr.bin/make/shell/replace/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/shell/replace/expected.stderr.2
OLD_FILES+=usr/tests/usr.bin/make/shell/replace/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/shell/replace/expected.stdout.2
OLD_FILES+=usr/tests/usr.bin/make/shell/replace/shell
OLD_FILES+=usr/tests/usr.bin/make/shell/select/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/shell/select/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/shell/select/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/shell/select/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/shell/select/expected.status.2
OLD_FILES+=usr/tests/usr.bin/make/shell/select/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/shell/select/expected.stderr.2
OLD_FILES+=usr/tests/usr.bin/make/shell/select/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/shell/select/expected.stdout.2
OLD_FILES+=usr/tests/usr.bin/make/shell/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/suffixes/basic/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/suffixes/basic/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/suffixes/basic/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/suffixes/basic/TEST1.a
OLD_FILES+=usr/tests/usr.bin/make/suffixes/basic/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/suffixes/basic/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/suffixes/basic/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/suffixes/src_wild1/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/suffixes/src_wild1/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/suffixes/src_wild1/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/suffixes/src_wild1/TEST1.a
OLD_FILES+=usr/tests/usr.bin/make/suffixes/src_wild1/TEST2.a
OLD_FILES+=usr/tests/usr.bin/make/suffixes/src_wild1/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/suffixes/src_wild1/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/suffixes/src_wild1/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/suffixes/src_wild2/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/suffixes/src_wild2/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/suffixes/src_wild2/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/suffixes/src_wild2/TEST1.a
OLD_FILES+=usr/tests/usr.bin/make/suffixes/src_wild2/TEST2.a
OLD_FILES+=usr/tests/usr.bin/make/suffixes/src_wild2/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/suffixes/src_wild2/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/suffixes/src_wild2/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/suffixes/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/syntax/directive-t0/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/syntax/directive-t0/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/syntax/directive-t0/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/syntax/directive-t0/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/syntax/directive-t0/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/syntax/directive-t0/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/syntax/enl/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/syntax/enl/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/syntax/enl/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/syntax/enl/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/syntax/enl/expected.status.2
OLD_FILES+=usr/tests/usr.bin/make/syntax/enl/expected.status.3
OLD_FILES+=usr/tests/usr.bin/make/syntax/enl/expected.status.4
OLD_FILES+=usr/tests/usr.bin/make/syntax/enl/expected.status.5
OLD_FILES+=usr/tests/usr.bin/make/syntax/enl/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/syntax/enl/expected.stderr.2
OLD_FILES+=usr/tests/usr.bin/make/syntax/enl/expected.stderr.3
OLD_FILES+=usr/tests/usr.bin/make/syntax/enl/expected.stderr.4
OLD_FILES+=usr/tests/usr.bin/make/syntax/enl/expected.stderr.5
OLD_FILES+=usr/tests/usr.bin/make/syntax/enl/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/syntax/enl/expected.stdout.2
OLD_FILES+=usr/tests/usr.bin/make/syntax/enl/expected.stdout.3
OLD_FILES+=usr/tests/usr.bin/make/syntax/enl/expected.stdout.4
OLD_FILES+=usr/tests/usr.bin/make/syntax/enl/expected.stdout.5
OLD_FILES+=usr/tests/usr.bin/make/syntax/funny-targets/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/syntax/funny-targets/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/syntax/funny-targets/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/syntax/funny-targets/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/syntax/funny-targets/expected.status.2
OLD_FILES+=usr/tests/usr.bin/make/syntax/funny-targets/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/syntax/funny-targets/expected.stderr.2
OLD_FILES+=usr/tests/usr.bin/make/syntax/funny-targets/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/syntax/funny-targets/expected.stdout.2
OLD_FILES+=usr/tests/usr.bin/make/syntax/semi/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/syntax/semi/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/syntax/semi/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/syntax/semi/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/syntax/semi/expected.status.2
OLD_FILES+=usr/tests/usr.bin/make/syntax/semi/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/syntax/semi/expected.stderr.2
OLD_FILES+=usr/tests/usr.bin/make/syntax/semi/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/syntax/semi/expected.stdout.2
OLD_FILES+=usr/tests/usr.bin/make/syntax/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t0/2/1/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t0/2/1/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t0/2/1/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t0/2/1/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t0/2/1/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t0/2/1/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t0/2/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t0/mk/sys.mk
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t0/mk/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t0/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t1/2/1/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t1/2/1/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t1/2/1/cleanup
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t1/2/1/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t1/2/1/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t1/2/1/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t1/2/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t1/mk/sys.mk
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t1/mk/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t1/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t2/2/1/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t2/2/1/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t2/2/1/cleanup
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t2/2/1/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t2/2/1/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t2/2/1/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t2/2/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t2/mk/sys.mk
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t2/mk/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/sysmk/t2/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/sysmk/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/variables/modifier_M/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/variables/modifier_M/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/variables/modifier_M/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/variables/modifier_M/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/variables/modifier_M/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/variables/modifier_M/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/variables/modifier_t/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/variables/modifier_t/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/variables/modifier_t/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/variables/modifier_t/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/variables/modifier_t/expected.status.2
OLD_FILES+=usr/tests/usr.bin/make/variables/modifier_t/expected.status.3
OLD_FILES+=usr/tests/usr.bin/make/variables/modifier_t/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/variables/modifier_t/expected.stderr.2
OLD_FILES+=usr/tests/usr.bin/make/variables/modifier_t/expected.stderr.3
OLD_FILES+=usr/tests/usr.bin/make/variables/modifier_t/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/variables/modifier_t/expected.stdout.2
OLD_FILES+=usr/tests/usr.bin/make/variables/modifier_t/expected.stdout.3
OLD_FILES+=usr/tests/usr.bin/make/variables/opt_V/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/variables/opt_V/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/variables/opt_V/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/variables/opt_V/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/variables/opt_V/expected.status.2
OLD_FILES+=usr/tests/usr.bin/make/variables/opt_V/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/variables/opt_V/expected.stderr.2
OLD_FILES+=usr/tests/usr.bin/make/variables/opt_V/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/variables/opt_V/expected.stdout.2
OLD_FILES+=usr/tests/usr.bin/make/variables/t0/legacy_test
OLD_FILES+=usr/tests/usr.bin/make/variables/t0/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/variables/t0/Makefile.test
OLD_FILES+=usr/tests/usr.bin/make/variables/t0/expected.status.1
OLD_FILES+=usr/tests/usr.bin/make/variables/t0/expected.stderr.1
OLD_FILES+=usr/tests/usr.bin/make/variables/t0/expected.stdout.1
OLD_FILES+=usr/tests/usr.bin/make/variables/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/Kyuafile
OLD_FILES+=usr/tests/usr.bin/make/common.sh
OLD_FILES+=usr/tests/usr.bin/make/test-new.mk
OLD_DIRS+=usr/tests/usr.bin/make/variables/t0
OLD_DIRS+=usr/tests/usr.bin/make/variables/opt_V
OLD_DIRS+=usr/tests/usr.bin/make/variables/modifier_t
OLD_DIRS+=usr/tests/usr.bin/make/variables/modifier_M
OLD_DIRS+=usr/tests/usr.bin/make/variables
OLD_DIRS+=usr/tests/usr.bin/make/sysmk/t2/mk
OLD_DIRS+=usr/tests/usr.bin/make/sysmk/t2/2/1
OLD_DIRS+=usr/tests/usr.bin/make/sysmk/t2/2
OLD_DIRS+=usr/tests/usr.bin/make/sysmk/t2
OLD_DIRS+=usr/tests/usr.bin/make/sysmk/t1/mk
OLD_DIRS+=usr/tests/usr.bin/make/sysmk/t1/2/1
OLD_DIRS+=usr/tests/usr.bin/make/sysmk/t1/2
OLD_DIRS+=usr/tests/usr.bin/make/sysmk/t1
OLD_DIRS+=usr/tests/usr.bin/make/sysmk/t0/mk
OLD_DIRS+=usr/tests/usr.bin/make/sysmk/t0/2/1
OLD_DIRS+=usr/tests/usr.bin/make/sysmk/t0/2
OLD_DIRS+=usr/tests/usr.bin/make/sysmk/t0
OLD_DIRS+=usr/tests/usr.bin/make/sysmk
OLD_DIRS+=usr/tests/usr.bin/make/syntax/semi
OLD_DIRS+=usr/tests/usr.bin/make/syntax/funny-targets
OLD_DIRS+=usr/tests/usr.bin/make/syntax/enl
OLD_DIRS+=usr/tests/usr.bin/make/syntax/directive-t0
OLD_DIRS+=usr/tests/usr.bin/make/syntax
OLD_DIRS+=usr/tests/usr.bin/make/suffixes/src_wild2
OLD_DIRS+=usr/tests/usr.bin/make/suffixes/src_wild1
OLD_DIRS+=usr/tests/usr.bin/make/suffixes/basic
OLD_DIRS+=usr/tests/usr.bin/make/suffixes
OLD_DIRS+=usr/tests/usr.bin/make/shell/select
OLD_DIRS+=usr/tests/usr.bin/make/shell/replace
OLD_DIRS+=usr/tests/usr.bin/make/shell/path_select
OLD_DIRS+=usr/tests/usr.bin/make/shell/path
OLD_DIRS+=usr/tests/usr.bin/make/shell/meta
OLD_DIRS+=usr/tests/usr.bin/make/shell/builtin
OLD_DIRS+=usr/tests/usr.bin/make/shell
OLD_DIRS+=usr/tests/usr.bin/make/execution/plus
OLD_DIRS+=usr/tests/usr.bin/make/execution/joberr
OLD_DIRS+=usr/tests/usr.bin/make/execution/empty
OLD_DIRS+=usr/tests/usr.bin/make/execution/ellipsis
OLD_DIRS+=usr/tests/usr.bin/make/execution
OLD_DIRS+=usr/tests/usr.bin/make/basic/t3
OLD_DIRS+=usr/tests/usr.bin/make/basic/t2
OLD_DIRS+=usr/tests/usr.bin/make/basic/t1
OLD_DIRS+=usr/tests/usr.bin/make/basic/t0
OLD_DIRS+=usr/tests/usr.bin/make/basic
OLD_DIRS+=usr/tests/usr.bin/make/archives/fmt_oldbsd
OLD_DIRS+=usr/tests/usr.bin/make/archives/fmt_44bsd_mod
OLD_DIRS+=usr/tests/usr.bin/make/archives/fmt_44bsd
OLD_DIRS+=usr/tests/usr.bin/make/archives
OLD_DIRS+=usr/tests/usr.bin/make
.endif
.else .else
# ATF libraries. # ATF libraries.
OLD_FILES+=usr/bin/atf-sh OLD_FILES+=usr/bin/atf-sh

View File

@ -1,5 +0,0 @@
# $FreeBSD$
SUBDIR= dhclient growfs
.include <bsd.subdir.mk>

View File

@ -1,17 +0,0 @@
# $FreeBSD$
.PATH: ${.CURDIR}/../../../../sbin/dhclient
SRCS= alloc.c convert.c hash.c options.c tables.c \
fake.c \
option-domain-search.c
CFLAGS+= -I${.CURDIR}/../../../../sbin/dhclient
LDADD= -lutil
PROG= option-domain-search
NO_MAN=
WARNS?= 2
.include <bsd.prog.mk>

View File

@ -1,6 +0,0 @@
# $FreeBSD$
all test:
prove -vmw regress.t
clean:

View File

@ -1,9 +0,0 @@
# $FreeBSD$
SUBDIR= apply calendar comm file2c join jot m4 ncal printf sed tr \
uudecode uuencode xargs
.if !defined(AUTOMATED)
SUBDIR+= lastcomm
.endif
.include <bsd.subdir.mk>

View File

@ -1,4 +0,0 @@
# $FreeBSD$
all:
@m4 ${.CURDIR}/../regress.m4 ${.CURDIR}/regress.sh | sh /dev/stdin ${.CURDIR}

View File

@ -1,10 +0,0 @@
# $FreeBSD$
echo 1..2
REGRESSION_START($1)
REGRESSION_TEST(`00', `apply "echo %1 %1 %1 %1" $(cat regress.00.in)')
REGRESSION_TEST(`01', `sh regress.01.sh')
REGRESSION_END()

View File

@ -1,6 +0,0 @@
#!/bin/sh
# $FreeBSD$
cd `dirname $0`
m4 ../regress.m4 regress.sh | sh

View File

@ -1,4 +0,0 @@
# $FreeBSD$
all:
@m4 ${.CURDIR}/../regress.m4 ${.CURDIR}/regress.sh | sh /dev/stdin ${.CURDIR}

View File

@ -1,6 +0,0 @@
#!/bin/sh
# $FreeBSD$
cd `dirname $0`
m4 ../regress.m4 regress.sh | sh

View File

@ -1,4 +0,0 @@
# $FreeBSD$
all:
@m4 ${.CURDIR}/../regress.m4 ${.CURDIR}/regress.sh | sh /dev/stdin ${.CURDIR}

View File

@ -1,13 +0,0 @@
# $FreeBSD$
LC_ALL=C; export LC_ALL
echo 1..3
REGRESSION_START($1)
REGRESSION_TEST(`00', `comm -12 regress.00a.in regress.00b.in')
REGRESSION_TEST(`01', `comm -12 regress.01a.in regress.01b.in')
REGRESSION_TEST(`02', `comm regress.02a.in regress.02b.in')
REGRESSION_END()

View File

@ -1,6 +0,0 @@
#!/bin/sh
# $FreeBSD$
cd `dirname $0`
m4 ../regress.m4 regress.sh | sh

View File

@ -1,4 +0,0 @@
# $FreeBSD$
all:
@m4 ${.CURDIR}/../regress.m4 ${.CURDIR}/regress.sh | sh /dev/stdin ${.CURDIR}

View File

@ -1,19 +0,0 @@
# $FreeBSD$
echo 1..9
REGRESSION_START($1)
REGRESSION_TEST(`1', `head -c 13 regress.in | file2c')
REGRESSION_TEST(`2', `head -c 26 regress.in | file2c PREFIX')
REGRESSION_TEST(`3', `head -c 39 regress.in | file2c PREFIX SUFFIX')
REGRESSION_TEST(`4', `head -c 52 regress.in | file2c -x')
REGRESSION_TEST(`5', `head -c 65 regress.in | file2c -n -1')
REGRESSION_TEST(`6', `head -c 7 regress.in | file2c -n 1 P S')
REGRESSION_TEST(`7', `head -c 14 regress.in | file2c -n 2 -x "P S"')
REGRESSION_TEST(`8', `head -c 21 regress.in | file2c -n 16 P -x S')
REGRESSION_TEST(`9', `file2c "const char data[] = {" ", 0};" < regress.in')
REGRESSION_END()

View File

@ -1,6 +0,0 @@
#!/bin/sh
# $FreeBSD$
cd `dirname $0`
m4 ../regress.m4 regress.sh | sh

View File

@ -1,4 +0,0 @@
# $FreeBSD$
all:
@m4 ${.CURDIR}/../regress.m4 ${.CURDIR}/regress.sh | sh /dev/stdin ${.CURDIR}

View File

@ -1,6 +0,0 @@
#!/bin/sh
# $FreeBSD$
cd `dirname $0`
m4 ../regress.m4 regress.sh | sh

View File

@ -1,4 +0,0 @@
# $FreeBSD$
all:
@m4 ${.CURDIR}/../regress.m4 ${.CURDIR}/regress.sh | sh /dev/stdin ${.CURDIR}

View File

@ -1,6 +0,0 @@
#!/bin/sh
# $FreeBSD$
cd `dirname $0`
m4 ../regress.m4 regress.sh | sh

View File

@ -1,6 +0,0 @@
# $FreeBSD$
all: regress
regress: regress.t
./regress.t

View File

@ -1,41 +0,0 @@
#!/bin/sh
#
# $FreeBSD$
#
DIR=`dirname $0`
ARCH=`uname -m`
TZ=UTC; export TZ
check()
{
NUM=$1
shift
# Remove tty field, which varies between systems.
awk '{$4 = ""; print}' |
if diff -q - $DIR/$1
then
echo "ok $NUM"
else
echo "not ok $NUM"
fi
}
cat $DIR/v1-$ARCH-acct.in $DIR/v2-$ARCH-acct.in >$DIR/v1v2-$ARCH-acct.in
cat $DIR/v2-$ARCH.out $DIR/v1-$ARCH.out >$DIR/v1v2-$ARCH.out
echo 1..6
lastcomm -cesuS -f $DIR/v1-$ARCH-acct.in | check 1 v1-$ARCH.out
lastcomm -cesuS -f - <$DIR/v1-$ARCH-acct.in | tail -r | check 2 v1-$ARCH.out
lastcomm -cesuS -f $DIR/v2-$ARCH-acct.in | check 3 v2-$ARCH.out
lastcomm -cesuS -f - <$DIR/v2-$ARCH-acct.in | tail -r | check 4 v2-$ARCH.out
lastcomm -cesuS -f $DIR/v1v2-$ARCH-acct.in | check 5 v1v2-$ARCH.out
lastcomm -cesuS -f - <$DIR/v1v2-$ARCH-acct.in | tail -r | check 6 v1v2-$ARCH.out
rm $DIR/v1v2-$ARCH-acct.in
rm $DIR/v1v2-$ARCH.out
exit 0

View File

@ -1,4 +0,0 @@
# $FreeBSD$
all:
@m4 ${.CURDIR}/../regress.m4 ${.CURDIR}/regress.sh | sh /dev/stdin ${.CURDIR}

View File

@ -1,31 +0,0 @@
# $FreeBSD$
LC_ALL=C; export LC_ALL
echo 1..21
REGRESSION_START($1)
REGRESSION_TEST(`args', `m4 args.m4')
REGRESSION_TEST(`args2', `m4 args2.m4')
REGRESSION_TEST(`comments', `m4 comments.m4')
REGRESSION_TEST(`esyscmd', `m4 esyscmd.m4')
REGRESSION_TEST(`eval', `m4 eval.m4')
REGRESSION_TEST(`ff_after_dnl', `uudecode -o /dev/stdout ff_after_dnl.m4.uu | m4')
REGRESSION_TEST(`gnueval', `m4 -g gnueval.m4')
REGRESSION_TEST(`gnuformat', `m4 -g gnuformat.m4')
REGRESSION_TEST(`gnupatterns', `m4 -g gnupatterns.m4')
REGRESSION_TEST(`gnupatterns2', `m4 -g gnupatterns2.m4')
REGRESSION_TEST(`gnuprefix', `m4 -P gnuprefix.m4 2>&1')
REGRESSION_TEST(`gnusofterror', `m4 -g gnusofterror.m4 2>&1')
REGRESSION_TEST(`gnutranslit2', `m4 -g translit2.m4')
REGRESSION_TEST(`includes', `m4 -I. includes.m4')
REGRESSION_TEST(`m4wrap3', `m4 m4wrap3.m4')
REGRESSION_TEST(`patterns', `m4 patterns.m4')
REGRESSION_TEST(`quotes', `m4 quotes.m4 2>&1')
REGRESSION_TEST(`strangequotes', `uudecode -o /dev/stdout strangequotes.m4.uu | m4')
REGRESSION_TEST(`redef', `m4 redef.m4')
REGRESSION_TEST(`translit', `m4 translit.m4')
REGRESSION_TEST(`translit2', `m4 translit2.m4')
REGRESSION_END()

View File

@ -1,6 +0,0 @@
#!/bin/sh
# $FreeBSD$
cd `dirname $0`
m4 ../regress.m4 regress.sh | sh

View File

@ -1,16 +0,0 @@
#!/bin/sh
# $FreeBSD$
# find all test scripts below our current directory
SCRIPTS=`find . -name test.t`
if [ -z "${SCRIPTS}" ] ; then
exit 0
fi
for i in ${SCRIPTS} ; do
(
cd `dirname $i`
sh ./test.t $1
)
done

View File

@ -1,4 +0,0 @@
# $FreeBSD$
all:
@m4 ${.CURDIR}/../regress.m4 ${.CURDIR}/regress.sh | sh /dev/stdin ${.CURDIR}

View File

@ -1,6 +0,0 @@
#!/bin/sh
# $FreeBSD$
cd `dirname $0`
m4 ../regress.m4 regress.sh | sh

View File

@ -1,4 +0,0 @@
# $FreeBSD$
all:
@m4 ${.CURDIR}/../regress.m4 ${.CURDIR}/regress.sh | sh /dev/stdin ${.CURDIR}

View File

@ -1,6 +0,0 @@
#!/bin/sh
# $FreeBSD$
cd `dirname $0`
m4 ../regress.m4 regress.sh | sh

View File

@ -1,6 +0,0 @@
# $FreeBSD$
all:
@m4 ${.CURDIR}/../regress.m4 ${.CURDIR}/regress.sh | sh /dev/stdin ${.CURDIR}
@sh multitest.t
@sh inplace_race.t

View File

@ -1,6 +0,0 @@
#!/bin/sh
# $FreeBSD$
cd `dirname $0`
m4 ../regress.m4 regress.sh | sh

View File

@ -1,4 +0,0 @@
# $FreeBSD$
all:
@m4 ${.CURDIR}/../regress.m4 ${.CURDIR}/regress.sh | sh /dev/stdin ${.CURDIR}

View File

@ -1,22 +0,0 @@
# $FreeBSD$
echo 1..14
REGRESSION_START($1)
REGRESSION_TEST(`00', `tr abcde 12345 < regress.in')
REGRESSION_TEST(`01', `tr 12345 abcde < regress.in')
REGRESSION_TEST(`02', `tr -d aceg < regress.in')
REGRESSION_TEST(`03', `tr "[[:lower:]]" "[[:upper:]]" < regress.in')
REGRESSION_TEST(`04', `tr "[[:alpha:]]" . < regress.in')
REGRESSION_TEST(`05', `tr "[[:lower:]]" "[[:upper:]]" < regress.in | tr "[[:upper:]]" "[[:lower:]]"')
REGRESSION_TEST(`06', `tr "[[:digit:]]" "?" < regress2.in')
REGRESSION_TEST(`07', `tr "[[:alnum:]]" "#" < regress2.in')
REGRESSION_TEST(`08', `tr "[[:upper:]]" "[[:lower:]]" < regress2.in | tr -d "[^[:alpha:]] "')
REGRESSION_TEST(`09', `printf "\\f\\r\\n" | tr "\\014\\r" "?#"')
REGRESSION_TEST(`0a', `printf "0xdeadbeef\\n" | tr "x[[:xdigit:]]" "?\$"')
REGRESSION_TEST(`0b', `(tr -cd "[[:xdigit:]]" < regress2.in ; echo)')
REGRESSION_TEST(`0c', `echo "[[[[]]]]" | tr -d "[=]=]"')
REGRESSION_TEST(`0d', `echo "]=[" | tr -d "[=]"')
REGRESSION_END()

View File

@ -1,6 +0,0 @@
#!/bin/sh
# $FreeBSD$
cd `dirname $0`
m4 ../regress.m4 regress.sh | sh

View File

@ -1,4 +0,0 @@
# $FreeBSD$
all:
@m4 ${.CURDIR}/../regress.m4 ${.CURDIR}/regress.sh | sh /dev/stdin ${.CURDIR}

View File

@ -1,10 +0,0 @@
# $FreeBSD$
echo 1..2
REGRESSION_START($1)
REGRESSION_TEST_ONE(`uudecode -p < regress.traditional.in', `traditional')
REGRESSION_TEST_ONE(`uudecode -p < regress.base64.in', `base64')
REGRESSION_END()

View File

@ -1,6 +0,0 @@
#!/bin/sh
# $FreeBSD$
cd `dirname $0`
m4 ../regress.m4 regress.sh | sh

View File

@ -1,4 +0,0 @@
# $FreeBSD$
all:
@m4 ${.CURDIR}/../regress.m4 ${.CURDIR}/regress.sh | sh /dev/stdin ${.CURDIR}

View File

@ -1,13 +0,0 @@
# $FreeBSD$
echo 1..2
REGRESSION_START($1)
# To make sure we end up with matching headers.
umask 022
REGRESSION_TEST(`traditional', `uuencode regress.in < regress.in')
REGRESSION_TEST(`base64', `uuencode -m regress.in < regress.in')
REGRESSION_END()

View File

@ -1,6 +0,0 @@
#!/bin/sh
# $FreeBSD$
cd `dirname $0`
m4 ../regress.m4 regress.sh | sh

View File

@ -1,4 +0,0 @@
# $FreeBSD$
all:
@m4 ${.CURDIR}/../regress.m4 ${.CURDIR}/regress.sh | sh /dev/stdin ${.CURDIR}

View File

@ -1,21 +0,0 @@
# $FreeBSD$
echo 1..13
REGRESSION_START($1)
REGRESSION_TEST(`normal', `xargs echo The < regress.in')
REGRESSION_TEST(`I', `xargs -I% echo The % % % %% % % < regress.in')
REGRESSION_TEST(`J', `xargs -J% echo The % again. < regress.in')
REGRESSION_TEST(`L', `xargs -L3 echo < regress.in')
REGRESSION_TEST(`R', `xargs -I% -R1 echo The % % % %% % % < regress.in')
REGRESSION_TEST(`n1', `xargs -n1 echo < regress.in')
REGRESSION_TEST(`n2', `xargs -n2 echo < regress.in')
REGRESSION_TEST(`n3', `xargs -n3 echo < regress.in')
REGRESSION_TEST(`0', `xargs -0 -n1 echo < regress.0.in')
REGRESSION_TEST(`0I', `xargs -0 -I% echo The % %% % < regress.0.in')
REGRESSION_TEST(`0J', `xargs -0 -J% echo The % again. < regress.0.in')
REGRESSION_TEST(`0L', `xargs -0 -L2 echo < regress.0.in')
REGRESSION_TEST(`quotes', `xargs -n1 echo < regress.quotes.in')
REGRESSION_END()

View File

@ -1,6 +0,0 @@
#!/bin/sh
# $FreeBSD$
cd `dirname $0`
m4 ../regress.m4 regress.sh | sh

View File

@ -1,4 +0,0 @@
# $FreeBSD$
all:
@m4 ${.CURDIR}/../regress.m4 ${.CURDIR}/regress.sh | sh /dev/stdin ${.CURDIR}

View File

@ -1,26 +0,0 @@
# $FreeBSD$
LC_ALL=C; export LC_ALL
echo 1..15
REGRESSION_START($1)
REGRESSION_TEST(`00', `yacc -b regress -o /dev/stdout undefined.y')
REGRESSION_TEST(`01', `yacc -b regress -o /dev/stdout calc.y')
REGRESSION_TEST(`02', `yacc -b regress -o /dev/stdout calc1.y')
REGRESSION_TEST(`03', `yacc -b regress -o /dev/stdout calc3.y')
REGRESSION_TEST(`04', `yacc -b regress -o /dev/stdout code_calc.y')
REGRESSION_TEST(`05', `yacc -b regress -o /dev/stdout code_error.y')
REGRESSION_TEST(`06', `yacc -b regress -o /dev/stdout error.y')
REGRESSION_TEST(`07', `yacc -b regress -o /dev/stdout ftp.y')
REGRESSION_TEST(`08', `yacc -b regress -o /dev/stdout grammar.y')
REGRESSION_TEST(`09', `yacc -b regress -o /dev/stdout pure_calc.y')
REGRESSION_TEST(`10', `yacc -b regress -o /dev/stdout pure_error.y')
REGRESSION_TEST(`11', `yacc -b regress -o /dev/stdout quote_calc.y')
REGRESSION_TEST(`12', `yacc -b regress -o /dev/stdout quote_calc2.y')
REGRESSION_TEST(`13', `yacc -b regress -o /dev/stdout quote_calc3.y')
REGRESSION_TEST(`14', `yacc -b regress -o /dev/stdout quote_calc4.y')
REGRESSION_END()

View File

@ -1,6 +0,0 @@
#!/bin/sh
# $FreeBSD$
cd `dirname $0`
m4 ../regress.m4 regress.sh | sh

View File

@ -1,5 +0,0 @@
# $FreeBSD$
SUBDIR= newsyslog sa
.include <bsd.subdir.mk>

View File

@ -1,4 +0,0 @@
# $FreeBSD$
all:
sh regress.sh

View File

@ -1,6 +0,0 @@
#!/bin/sh
# $FreeBSD$
cd `dirname $0`
sh regress.sh

View File

@ -1,6 +0,0 @@
# $FreeBSD$
all: regress
regress: regress.t
./regress.t

View File

@ -1,81 +0,0 @@
#!/bin/sh
#
# $FreeBSD$
#
DIR=`dirname $0`
LCDIR=`dirname $0`/../../usr.bin/lastcomm
ARCH=`uname -m`
collapse_whitespace()
{
sed -E 's,[ ]+, ,g'
}
check()
{
NUM=$1
shift
collapse_whitespace | \
if diff -q - $1
then
echo "ok $NUM"
else
echo "not ok $NUM"
fi
}
cp $LCDIR/v1-$ARCH-acct.in $DIR/v1-$ARCH-acct.in
cp $LCDIR/v2-$ARCH-acct.in $DIR/v2-$ARCH-acct.in
echo 1..13
# Command listings of the two acct versions
sa -u $DIR/v1-$ARCH-acct.in | check 1 $DIR/v1-$ARCH-u.out
sa -u $DIR/v2-$ARCH-acct.in | check 2 $DIR/v2-$ARCH-u.out
# Plain summaries of user/process
sa -i $DIR/v1-$ARCH-acct.in | check 3 $DIR/v1-$ARCH-sav.out
sa -im $DIR/v1-$ARCH-acct.in | check 4 $DIR/v1-$ARCH-usr.out
# Backward compatibility of v1 summary files
sa -P $DIR/v1-$ARCH-sav.in -U $DIR/v1-$ARCH-usr.in /dev/null |
check 5 $DIR/v1-$ARCH-sav.out
sa -m -P $DIR/v1-$ARCH-sav.in -U $DIR/v1-$ARCH-usr.in /dev/null |
check 6 $DIR/v1-$ARCH-usr.out
# Convert old summary format to new
cp $DIR/v1-$ARCH-sav.in $DIR/v2c-$ARCH-sav.in
cp $DIR/v1-$ARCH-usr.in $DIR/v2c-$ARCH-usr.in
sa -s -P $DIR/v2c-$ARCH-sav.in -U $DIR/v2c-$ARCH-usr.in /dev/null >/dev/null
sa -P $DIR/v2c-$ARCH-sav.in -U $DIR/v2c-$ARCH-usr.in /dev/null |
check 7 $DIR/v1-$ARCH-sav.out
sa -m -P $DIR/v2c-$ARCH-sav.in -U $DIR/v2c-$ARCH-usr.in /dev/null |
check 8 $DIR/v1-$ARCH-usr.out
# Reading v2 summary files
sa -P $DIR/v2-$ARCH-sav.in -U $DIR/v2-$ARCH-usr.in /dev/null |
check 9 $DIR/v1-$ARCH-sav.out
sa -m -P $DIR/v2-$ARCH-sav.in -U $DIR/v2-$ARCH-usr.in /dev/null |
check 10 $DIR/v1-$ARCH-usr.out
# Summarize
sa -is -P $DIR/v2c-$ARCH-sav.in -U $DIR/v2c-$ARCH-usr.in $DIR/v1-$ARCH-acct.in >/dev/null
sa -P $DIR/v2c-$ARCH-sav.in -U $DIR/v2c-$ARCH-usr.in /dev/null |
check 11 $DIR/v1-$ARCH-sav.out
sa -m -P $DIR/v2c-$ARCH-sav.in -U $DIR/v2c-$ARCH-usr.in /dev/null |
check 12 $DIR/v1-$ARCH-usr.out
# Accumulate
cp $LCDIR/v1-$ARCH-acct.in $DIR/v1-$ARCH-acct.in
sa -is -P $DIR/v2c-$ARCH-sav.in -U $DIR/v2c-$ARCH-usr.in $DIR/v1-$ARCH-acct.in >/dev/null
cp $LCDIR/v1-$ARCH-acct.in $DIR/v1-$ARCH-acct.in
sa -s -P $DIR/v2c-$ARCH-sav.in -U $DIR/v2c-$ARCH-usr.in $DIR/v1-$ARCH-acct.in \
| collapse_whitespace >$DIR/double
cp $LCDIR/v1-$ARCH-acct.in $DIR/v1-$ARCH-acct.in
sa -i $DIR/v1-$ARCH-acct.in $DIR/v1-$ARCH-acct.in | check 13 $DIR/double
# Clean up
rm $DIR/double $DIR/v2c-$ARCH-usr.in $DIR/v2c-$ARCH-sav.in $DIR/v1-$ARCH-acct.in $DIR/v2-$ARCH-acct.in
exit 0

View File

@ -1,8 +1,14 @@
# @(#)Makefile 8.1 (Berkeley) 6/6/93 # @(#)Makefile 8.1 (Berkeley) 6/6/93
# $FreeBSD$ # $FreeBSD$
.include <bsd.own.mk>
PROG= apply PROG= apply
DPADD= ${LIBSBUF} DPADD= ${LIBSBUF}
LDADD= -lsbuf LDADD= -lsbuf
.if ${MK_TESTS} != "no"
SUBDIR+= tests
.endif
.include <bsd.prog.mk> .include <bsd.prog.mk>

View File

@ -0,0 +1,14 @@
# $FreeBSD$
TESTSDIR= ${TESTSBASE}/usr.bin/apply
TAP_TESTS_SH= legacy_test
FILESDIR= ${TESTSDIR}
FILES= regress.00.in
FILES+= regress.00.out
FILES+= regress.01.out
FILES+= regress.01.sh
FILES+= regress.sh
.include <bsd.test.mk>

Some files were not shown because too many files have changed in this diff Show More